// Example 902
// calibration sketch for movements: fwd, bwd, cw, ccw
// coded by H. Kawakami, 2014/10/16


#include <Servo.h> 

const int servoL_Pin = 9; 
const int servoR_Pin = 5;

Servo servoL; // left servo 
Servo servoR; // right servo 

int centerR=1500, centerL=1440, pw=800;

void setup() { 
  delay(1000); 
  servoL.attach(servoL_Pin, centerL-pw, centerL+pw); // D9 
  servoR.attach(servoR_Pin, centerR-pw, centerR+pw); // D5 
//  Serial.begin(9600); // open serial port by setting 9600 bps 
} 

void fwd(int tau){
    servoL.write(30); 
    servoR.write(150); 
    delay(tau);   
}

void rot(int tau){
    servoL.write(150); 
    servoR.write(150); 
    delay(tau);     
}

void loop() { 
    fwd(2000);
    rot(1000);
    fwd(2000);
} 
//--------------------------------
/*
void fwd(int tau){
    servoL.write(30); 
    servoR.write(150); 
    delay(tau);   
}
void bwd(int tau){
    servoL.write(175); 
    servoR.write(30); 
    delay(tau);   
}
void cw(int tau){
    servoL.write(30); 
    servoR.write(90); 
    delay(tau);   
}
void ccw(int tau){
    servoL.write(90); 
    servoR.write(150); 
    delay(tau);   
}
void stp(int tau){
    servoL.writeMicroseconds(1440); 
    servoR.writeMicroseconds(1500); 
    delay(tau);   
}
*/
